## python-decorator 3.0.0

=== Makefile ===
RST=/home/micheles/trunk/ROnline/RCommon/Python/ms/tools/rst.py

pdf: /tmp/documentation.rst
	$(RST) -ptd /tmp/documentation.rst; cp /tmp/documentation.pdf /tmp/documentation.html .
upload: documentation.pdf
	python setup.py register sdist upload

## python-decorator 3.3.2

=== debian/changelog ===
python-decorator (3.3.2-1) unstable; urgency=low

  * New upstream release
    - documentation.py installed instead of pdf and html file (which are no
      longer available)
  * New binary package: python3-decorator
  * Switch from dh_pysupport to dh_python2 (Closes: #631402)
  * Homepage field updated (Closes: #626325)
  * debian/compat bumped to 7, debian/clean added
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 05 Sep 2011 21:42:56 +0200

python-decorator (3.2.0-1) unstable; urgency=low

  * New upstream release
    - changelog no longer available
  * python added to Build-Depends (clean rule needs it)
  * debian/watch file points to PyPI now

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 May 2010 21:55:03 +0200

python-decorator (3.1.2-2) unstable; urgency=low

  * debian/control: 
    - Changed to DPMT group maintenance with Piotr Ożarowski
      <piotr@debian.org> in uploaders.
    - Updated Standards-Version to 3.8.4.
    - Moved python depends to Build-Depends-Indep and updated them.
  * debian/copyright: Changed packaging license to BSD to sync with upstream.
  * debian/rules: Removed extraneous dh_strip and dh_shlibdeps.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 18 Feb 2010 16:36:20 -0600

python-decorator (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/docs: Removed documentation.txt.
  * debian/copyright: Changed (C) to copyright and updated copyright years.
  * debian/doc-base: Added a doc-base control file for registration of the
    documentation.
  * debian/control:
    - Updated Standards-Version to 3.8.3.
    - Moved python-support build-deps to Build-Depends-Indep.
  [Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Sep 2009 21:57:40 -0400

python-decorator (2.3.1-1) unstable; urgency=low

  [Oleksandr Moskalenko]
  * New upstream release.
  * debian/control:
    - Removed XS-Python-Version: all - not needed by python-support.
    - Removed XB-Python-Version: ${python:Versions} - not needed by
      python-support.
    - Updated Standards-Version to 3.8.0.
    - Removed python (>= 2.4) from Build-Depends - not needed by
      python-support.
    - Removed python (>=2.4) from Depends - not needed by python-support.
    - Removed debian revision from python-setuptools Build-Depends version.

  [Carlos Galisteo]
  * debian/control:
    - Added Homepage field.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 30 Sep 2008 13:39:24 -0600

python-decorator (2.2.0-2) unstable; urgency=low

  * debian/control:
    [Oleksandr Moskalenko]
    - Fixed a type in the description (Thanks to Reuben Thomas
      <rrt@sc3d.org>) (Closes: #446694).
    [Piotr Ożarowski]
    - Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 15 Nov 2007 10:12:59 -0700

python-decorator (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 28 Aug 2007 18:30:22 -0600

python-decorator (2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 18 Jul 2007 15:28:47 -0600

python-decorator (2.0.1-4) unstable; urgency=low

  * New python-support handles egg's directory name correctly:
    @ Piotr Ożarowski <piotr@debian.org>
      - bump python-support required version
      - remove mv part from debian/rules

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 11 May 2007 11:12:01 -0600

python-decorator (2.0.1-3) unstable; urgency=low

  * debian/control: Changed section from web to python (Closes: #422981).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 10 May 2007 00:23:24 -0600

python-decorator (2.0.1-2) unstable; urgency=low

  *  Added debian/watch file
  *  Finished the NEW queue. Upload into unstable.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 07 May 2007 15:30:30 -0600

python-decorator (2.0.1-1) experimental; urgency=low

  * Initial release (Closes: #419127).

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 13 Apr 2007 13:10:43 -0600

=== debian/control ===
Source: python-decorator
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Oleksandr Moskalenko <malex@debian.org>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3), python3-all,
 python-setuptools (>= 0.6b3~), python3-setuptools
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-decorator/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-decorator/trunk/
Homepage: http://pypi.python.org/pypi/decorator
X-Python-Version: >= 2.4

Package: python-decorator
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Enhances: python-pylons
Description: simplify usage of Python decorators by programmers
 Python 2.4 decorators have significantly changed the way Python programs are
 structured.
    * decorators help reduce boilerplate code;
    * decorators help the separation of concerns;
    * decorators enhance readability and maintainability;
    * decorators are very explicit.
 Still, as of now, writing custom decorators correctly requires some
 experience and is not as easy as it could be. For instance, typical
 implementations of decorators involve nested functions and we all know that
 flat is better than nested.
 The aim of the decorator module it to simplify the usage of decorators for
 the average programmer and to popularize decorators usage giving examples of
 useful decorators, such as memoize, tracing, redirecting_stdout, locked, etc.

Package: python3-decorator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: simplify usage of Python decorators by programmers
 Python 2.4 decorators have significantly changed the way Python programs are
 structured.
    * decorators help reduce boilerplate code;
    * decorators help the separation of concerns;
    * decorators enhance readability and maintainability;
    * decorators are very explicit.
 Still, as of now, writing custom decorators correctly requires some
 experience and is not as easy as it could be. For instance, typical
 implementations of decorators involve nested functions and we all know that
 flat is better than nested.
 The aim of the decorator module it to simplify the usage of decorators for
 the average programmer and to popularize decorators usage giving examples of
 useful decorators, such as memoize, tracing, redirecting_stdout, locked, etc.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	rm -f build-*
	dh_testdir
	dh_testroot
	python setup.py clean
	rm -rf build
	find . -name *\.py[co] -exec rm -f {} \;
	dh_clean build-indep

build: build-indep
build-arch:

build-indep: 
	dh_testdir
	python setup.py build
	touch $@

install:
	dh_testdir
	dh_testroot
	dh_installdirs
	python setup.py install \
		--single-version-externally-managed \
		--root $(CURDIR)/debian/python-decorator
	python3 setup.py install \
		--single-version-externally-managed \
		--root $(CURDIR)/debian/python3-decorator

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_python2
	dh_python3
	dh_compress -X.py
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build build-arch clean binary-indep binary-arch binary install

## python-decorator 3.3.3

=== debian/changelog ===
python-decorator (3.3.3-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Apr 2012 19:40:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Oleksandr Moskalenko <malex@debian.org>, Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-decorator/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-decorator/trunk/
 Homepage: http://pypi.python.org/pypi/decorator

## python-decorator 3.4.0

=== debian/changelog ===
python-decorator (3.4.0-2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:09 +0000

python-decorator (3.4.0-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Remove egg-info direcotry in clean target (Closes: #671192)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 May 2013 22:32:17 +0200

python-decorator (3.4.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Oct 2012 19:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-decorator/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-decorator/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-decorator/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-decorator/trunk/
 Homepage: http://pypi.python.org/pypi/decorator
 X-Python-Version: >= 2.4

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	dh_testdir
 	dh_testroot
 	python setup.py clean
-	rm -rf build
+	rm -rf build src/decorator.egg-info
 	find . -name *\.py[co] -exec rm -f {} \;
 	dh_clean build-indep

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/decorator/decorator-(.+)\.tar\.gz

## python-decorator 4.0.2

=== debian/changelog ===
python-decorator (4.0.2-1) unstable; urgency=medium

  * New upstream release
  * Rewrite debian/rules to use dh sequencer and pybuild buildsystem
  * debhelper compat level bumped to 9
  * documentation.py no longer installed
  * debian/watch: use pypi.debian.net redirector
  * Standards-Version bumped to 3.9.6 (no changes needed due to debian/rules
    rewrite)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 01 Aug 2015 14:45:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Oleksandr Moskalenko <malex@debian.org>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3), python3-all,
+Build-Depends: debhelper (>= 9), dh-python,
+ python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-decorator/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-decorator/trunk/
 Homepage: http://pypi.python.org/pypi/decorator

## python-decorator 4.0.6

=== debian/changelog ===
python-decorator (4.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Dec 2015 20:17:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-decorator/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-decorator/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-decorator.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-decorator.git
 Homepage: http://pypi.python.org/pypi/decorator
 X-Python-Version: >= 2.4

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/decorator/decorator-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-decorator 4.0.11

=== debian/changelog ===
python-decorator (4.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jan 2017 23:23:03 +0100

python-decorator (4.0.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 3.9.8 (no changes needed)
  * debian/compat changed to 10 and debian/clean removed
  * Remove Oleksandr from Uploaders, thanks for all your work! (closes: 820133)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 22:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Oleksandr Moskalenko <malex@debian.org>, Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Uploaders: Piotr Ożarowski <piotr@debian.org>
+Build-Depends: debhelper (>= 10), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-decorator.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-decorator.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-decorator.git
-Homepage: http://pypi.python.org/pypi/decorator
+Homepage: https://pypi.python.org/pypi/decorator
 X-Python-Version: >= 2.4
 
 Package: python-decorator

## python-decorator 4.1.1

=== debian/changelog ===
python-decorator (4.1.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 20 Jul 2017 20:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-decorator.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-decorator.git
 Homepage: https://pypi.python.org/pypi/decorator

## python-decorator 4.1.2

=== debian/changelog ===
python-decorator (4.1.2-1) unstable; urgency=medium

  * New upstream release (closes: 869560)
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Sep 2017 11:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-decorator.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-decorator.git
 Homepage: https://pypi.python.org/pypi/decorator

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=decorator

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-decorator 4.3.0

=== debian/changelog ===
python-decorator (4.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 May 2018 14:12:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3~), python3-setuptools
 Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-decorator.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-decorator.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-decorator.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-decorator
 Homepage: https://pypi.python.org/pypi/decorator
-X-Python-Version: >= 2.4
 
 Package: python-decorator
 Architecture: all

## python-decorator 4.4.2

=== debian/changelog ===
python-decorator (4.4.2-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937694

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 18:39:17 -0400

python-decorator (4.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Name, Repository.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Mar 2020 23:07:18 +0100

=== debian/control ===
Source: python-decorator
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-decorator.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-decorator
Homepage: https://pypi.python.org/pypi/decorator
Rules-Requires-Root: no

Package: python3-decorator
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Description: simplify usage of Python decorators by programmers
 Python 2.4 decorators have significantly changed the way Python programs are
 structured.
    * decorators help reduce boilerplate code;
    * decorators help the separation of concerns;
    * decorators enhance readability and maintainability;
    * decorators are very explicit.
 Still, as of now, writing custom decorators correctly requires some
 experience and is not as easy as it could be. For instance, typical
 implementations of decorators involve nested functions and we all know that
 flat is better than nested.
 The aim of the decorator module it to simplify the usage of decorators for
 the average programmer and to popularize decorators usage giving examples of
 useful decorators, such as memoize, tracing, redirecting_stdout, locked, etc.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=decorator

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-decorator 5.1.1

=== debian/changelog ===
python-decorator (5.1.1-5) unstable; urgency=medium

  * Team upload.
  * d/copyright: update to use machine-readable standard.
  * d/watch: change regex to uscan's special strings.

 -- Joao Nobrega <joaopedrobsb3@gmail.com>  Sat, 16 Sep 2023 06:03:46 +0000

python-decorator (5.1.1-4) unstable; urgency=medium

  * Team upload.
  * d/control: bump Standards-Version (no changes needed).
  * d/watch: bump to version 4 (no changes needed).

 -- Joao Nobrega <joaopedrobsb3@gmail.com>  Thu, 27 Jul 2023 16:58:21 -0300

python-decorator (5.1.1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Team upload.
  * Run tests with pytest instead of setup.py test.

  [ Jeroen Ploemen ]
  * Tests: rewrite to loop over all supported Python versions.

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Mon, 05 Dec 2022 11:07:15 +0000

python-decorator (5.1.1-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 00:48:01 -0400

python-decorator (5.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.1.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 07 Jan 2022 15:08:46 +0000

python-decorator (5.1.0-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Gordon Ball ]
  * New upstream version 5.1.0
  * Standards-Version: 4.6.0
  * Run testsuite at build time
  * Run testsuite against the installed library as an autopkgtest
  * Update homepage to github.com/micheles/decorator

 -- Gordon Ball <gordon@chronitis.net>  Sun, 10 Oct 2021 21:16:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-decorator
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all,
+ python3-pytest <!nocheck>,
  python3-setuptools
-Standards-Version: 4.1.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-decorator.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-decorator
-Homepage: https://pypi.python.org/pypi/decorator
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-decorator.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-decorator
+Homepage: https://github.com/micheles/decorator
 Rules-Requires-Root: no
 
 Package: python3-decorator

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=decorator
export PYBUILD_TEST_ARGS=tests/test.py tests/documentation.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/decorator/decorator@ANY_VERSION@@ARCHIVE_EXT@

## python-decorator 5.2.1

=== debian/changelog ===
python-decorator (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Update autopkgtests for new tests directory location.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Apr 2025 17:28:10 +0100

python-decorator (5.2.1-1) unstable; urgency=medium

  * New upstream release
  * Add pybuild-plugin-pyproject to Build-Depends
  * Ship documentation.md in binary package
  * Bump Standards-Version (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 13:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all,
+ pybuild-plugin-pyproject,
  python3-pytest <!nocheck>,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-decorator.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-decorator
 Homepage: https://github.com/micheles/decorator

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest
Restrictions: allow-stderr
